Map = {}


function Map:load()
	self.currentLevel = 1
	-- https://love2d.org/wiki/World
	World = love.physics.newWorld(0,0)
	World:setCallbacks(beginContact, endContact)	
	self:init()
end

function Map:init()
	self.level = STI("Levels/Level"..self.currentLevel..".lua", {"box2d"})
	self.level:box2d_init(World)
	self.level.layers.entity.visible = false
	self.spawnEntities()
end


function Map:spawnEntities()
	for k, v in ipairs(Map.level.layers.entity.objects) do
		if v.type == "area" then
			Area:new(v.x + v.width / 2, v.y + v.height / 2,v.width,v.height)
		end
	end
end
